Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11792)
@@ -3537,78 +4323,82 @@
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/TabContentPane
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/TabContentPane">
-        <PropertyDefinition name="EnableTop" initialValue="0" redrawOnWrite="true" layoutOnWrite="true" />
-        <PropertyDefinition name="EnableBottom" initialValue="0" redrawOnWrite="true" layoutOnWrite="true" />
+        <PropertyDefinition initialValue="0" layoutOnWrite="true" name="EnableTop" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="0" layoutOnWrite="true" name="EnableBottom" redrawOnWrite="true" />
         <ImagerySection name="normal">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <ImageDim imageset="TaharezGreenLook" image="TabContentPaneUpperLeft" dimension="Height">
-                            <DimOperator op="Multiply">
-                                <PropertyDim name="EnableTop" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="TabContentPaneUpperLeft" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="TabContentPaneUpper" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="TabContentPaneUpperRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/TabContentPaneUpperLeft" />
+                            <PropertyDim name="EnableTop" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/TabContentPaneUpperLeft" />
+                <Image component="TopEdge" name="TaharezGreenLook/TabContentPaneUpper" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/TabContentPaneUpperRight" />
             </FrameComponent>
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" >
-                        <ImageDim imageset="TaharezGreenLook" image="TabContentPaneUpperLeft" dimension="Height">
-                            <DimOperator op="Multiply">
-                                <PropertyDim name="EnableTop" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="TabContentPaneLowerLeft" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <PropertyDim name="EnableBottom" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="TabContentPaneLeft" />
-                <Image type="Background" imageset="TaharezGreenLook" image="TabContentPaneMiddle" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="TabContentPaneRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/TabContentPaneUpperLeft" />
+                            <PropertyDim name="EnableTop" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="TaharezGreenLook/TabContentPaneLowerLeft" />
+                                <PropertyDim name="EnableBottom" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="TaharezGreenLook/TabContentPaneLeft" />
+                <Image component="Background" name="TaharezGreenLook/TabContentPaneMiddle" />
+                <Image component="RightEdge" name="TaharezGreenLook/TabContentPaneRight" />
             </FrameComponent>
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="TabContentPaneLowerLeft" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <PropertyDim name="EnableBottom" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="TabContentPaneLowerLeft" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="TabContentPaneLower" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="TabContentPaneLowerRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="TaharezGreenLook/TabContentPaneLowerLeft" />
+                                <PropertyDim name="EnableBottom" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/TabContentPaneLowerLeft" />
+                <Image component="BottomEdge" name="TaharezGreenLook/TabContentPaneLower" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/TabContentPaneLowerRight" />
             </FrameComponent>
         </ImagerySection>
@@ -3621,55 +4411,55 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/TabButtonPane
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/TabButtonPane">
-        <PropertyDefinition name="EnableTop" initialValue="1" redrawOnWrite="true" layoutOnWrite="true" />
-        <PropertyDefinition name="EnableBottom" initialValue="1" redrawOnWrite="true" layoutOnWrite="true" />
+        <PropertyDefinition initialValue="1" layoutOnWrite="true" name="EnableTop" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="1" layoutOnWrite="true" name="EnableBottom" redrawOnWrite="true" />
         <ImagerySection name="normal">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <ImageDim imageset="TaharezGreenLook" image="TabHorizontalFiller" dimension="Height">
-                            <DimOperator op="Multiply">
-                                <PropertyDim name="EnableTop" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                </Area>
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="TabHorizontalFiller" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/TabHorizontalFiller" />
+                            <PropertyDim name="EnableTop" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image component="TopEdge" name="TaharezGreenLook/TabHorizontalFiller" />
             </FrameComponent>
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" >
-                        <ImageDim imageset="TaharezGreenLook" image="TabHorizontalFiller" dimension="Height">
-                            <DimOperator op="Multiply">
-                                <PropertyDim name="EnableTop" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="TabHorizontalFiller" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <PropertyDim name="EnableBottom" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/TabHorizontalFiller" />
+                            <PropertyDim name="EnableTop" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="TaharezGreenLook/TabHorizontalFiller" />
+                                <PropertyDim name="EnableBottom" />
+                            </OperatorDim>
+                        </OperatorDim>
                     </Dim>
                 </Area>
@@ -3677,20 +4467,24 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="TabHorizontalFiller" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <PropertyDim name="EnableBottom" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="TabHorizontalFiller" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="TaharezGreenLook/TabHorizontalFiller" />
+                                <PropertyDim name="EnableBottom" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="BottomEdge" name="TaharezGreenLook/TabHorizontalFiller" />
             </FrameComponent>
         </ImagerySection>
@@ -3703,155 +4497,146 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/TabControl
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/TabControl">
         <Property name="TabButtonType" value="TaharezGreenLook/TabButton" />
         <Property name="TabTextPadding" value="{0,6}" />
-        <Child type="TaharezGreenLook/TabContentPane" nameSuffix="__auto_TabPane__">
-            <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge"><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="TopEdge">
-                    <PropertyDim widget="__auto_TabPane__" name="EnableBottom">
-                        <DimOperator op="Multiply">
+        <Child nameSuffix="__auto_TabPane__" type="TaharezGreenLook/TabContentPane">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <PropertyDim name="EnableBottom" widget="__auto_TabPane__" />
+                        <PropertyDim name="TabHeight" type="Height" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="Height" />
+                        <PropertyDim name="TabHeight" type="Height" />
+                    </OperatorDim>
+                </Dim>
+            </Area>
+        </Child>
+        <Child nameSuffix="__auto_TabPane__Buttons" type="TaharezGreenLook/TabButtonPane">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <PropertyDim name="EnableTop" widget="__auto_TabPane__Buttons" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
                             <PropertyDim name="TabHeight" type="Height" />
-                        </DimOperator>
-                    </PropertyDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
                 <Dim type="Height">
-                    <UnifiedDim scale="1" type="Height">
-                        <DimOperator op="Subtract">
-                            <PropertyDim name="TabHeight" type="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                    <PropertyDim name="TabHeight" type="Height" />
                 </Dim>
             </Area>
         </Child>
-        <Child  type="TaharezGreenLook/TabButtonPane" nameSuffix="__auto_TabPane__Buttons">
-            <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge"><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="TopEdge">
-                    <PropertyDim widget="__auto_TabPane__Buttons" name="EnableTop">
-                        <DimOperator op="Multiply">
-                            <UnifiedDim scale="1" type="Height">
-                                <DimOperator op="Subtract">
-                                    <PropertyDim name="TabHeight" type="Height" />
-                                </DimOperator>
-                            </UnifiedDim>
-                        </DimOperator>
-                    </PropertyDim>
-                </Dim>
-                <Dim type="Height"><PropertyDim name="TabHeight" type="Height" /></Dim>
-            </Area>
+        <Child nameSuffix="__auto_TabPane__ScrollLeft" type="TaharezGreenLook/SystemButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="TopEdge" widget="__auto_TabPane__Buttons" />
+                </Dim>
+                <Dim type="Width">
+                    <OperatorDim op="Multiply">
+                        <WidgetDim dimension="Height" widget="__auto_TabPane__Buttons" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/TabButtonScrollLeftNormal" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/TabButtonScrollLeftNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_TabPane__Buttons" />
+                </Dim>
+            </Area>
+            <Property name="AlwaysOnTop" value="True" />
+            <Property name="NormalImage" value="TaharezGreenLook/TabButtonScrollLeftNormal" />
+            <Property name="HoverImage" value="TaharezGreenLook/TabButtonScrollLeftHover" />
+            <Property name="PushedImage" value="TaharezGreenLook/TabButtonScrollLeftHover" />
         </Child>
-        <Child type="TaharezGreenLook/SystemButton" nameSuffix="__auto_TabPane__ScrollLeft">
-            <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge">
-                    <WidgetDim widget="__auto_TabPane__Buttons" dimension="TopEdge" />
-                </Dim>
+        <Child nameSuffix="__auto_TabPane__ScrollRight" type="TaharezGreenLook/SystemButton">
+            <Area>
                 <Dim type="Width">
-                    <WidgetDim widget="__auto_TabPane__Buttons" dimension="Height">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezGreenLook" image="TabButtonScrollLeftNormal" dimension="Width">
-                                <DimOperator op="Divide">
-                                    <ImageDim imageset="TaharezGreenLook" image="TabButtonScrollLeftNormal" dimension="Height" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </WidgetDim>
-                </Dim>
-                <Dim type="BottomEdge">
-                    <WidgetDim widget="__auto_TabPane__Buttons" dimension="BottomEdge" />
+                    <OperatorDim op="Multiply">
+                        <WidgetDim dimension="Height" widget="__auto_TabPane__Buttons" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/TabButtonScrollRightNormal" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/TabButtonScrollRightNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="Width" />
+                        <WidgetDim dimension="Width" widget="__auto_TabPane__ScrollRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="TopEdge" widget="__auto_TabPane__Buttons" />
+                </Dim>
+                <Dim type="Height">
+                    <WidgetDim dimension="Height" widget="__auto_TabPane__Buttons" />
                 </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="True" />
-            <Property name="NormalImage" value="set:TaharezGreenLook image:TabButtonScrollLeftNormal" />
-            <Property name="HoverImage" value="set:TaharezGreenLook image:TabButtonScrollLeftHover" />
-            <Property name="PushedImage" value="set:TaharezGreenLook image:TabButtonScrollLeftHover" />
-        </Child>
-        <Child type="TaharezGreenLook/SystemButton" nameSuffix="__auto_TabPane__ScrollRight">
-            <Area>
-                <Dim type="Width">
-                    <WidgetDim widget="__auto_TabPane__Buttons" dimension="Height">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="TaharezGreenLook" image="TabButtonScrollRightNormal" dimension="Width">
-                                <DimOperator op="Divide">
-                                    <ImageDim imageset="TaharezGreenLook" image="TabButtonScrollRightNormal" dimension="Height" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </WidgetDim>
-                </Dim>
-                <Dim type="LeftEdge">
-                    <UnifiedDim scale="1" type="Width">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_TabPane__ScrollRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="TopEdge">
-                    <WidgetDim widget="__auto_TabPane__Buttons" dimension="TopEdge" />
-                </Dim>
-                <Dim type="Height">
-                    <WidgetDim widget="__auto_TabPane__Buttons" dimension="Height" />
-                </Dim>
-            </Area>
-            <Property name="AlwaysOnTop" value="True" />
-            <Property name="NormalImage" value="set:TaharezGreenLook image:TabButtonScrollRightNormal" />
-            <Property name="HoverImage" value="set:TaharezGreenLook image:TabButtonScrollRightHover" />
-            <Property name="PushedImage" value="set:TaharezGreenLook image:TabButtonScrollRightHover" />
+            <Property name="NormalImage" value="TaharezGreenLook/TabButtonScrollRightNormal" />
+            <Property name="HoverImage" value="TaharezGreenLook/TabButtonScrollRightHover" />
+            <Property name="PushedImage" value="TaharezGreenLook/TabButtonScrollRightHover" />
         </Child>
         <StateImagery name="Enabled" />
         <StateImagery name="Disabled" />
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/MenuItem
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/MenuItem">
-        <PropertyDefinition name="NormalTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledTextColour" initialValue="FF7F7F7F" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="OpenedColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF7F7F7F" name="DisabledTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="HoverColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="PushedColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="OpenedColour" redrawOnWrite="true" />
         <Property name="WantsMultiClickEvents" value="False" />
         <NamedArea name="ContentSize">
             <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
                 <Dim type="Width">
-                    <FontDim type="HorzExtent">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="TaharezGreenLook" image="MenuLeft" dimension="Width">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezGreenLook" image="MenuRight" dimension="Width" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </FontDim>
+                    <OperatorDim op="Add">
+                        <FontDim type="HorzExtent" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/MenuLeft" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/MenuRight" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
                 <Dim type="Height">
-                    <FontDim type="LineSpacing">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="TaharezGreenLook" image="MenuTop" dimension="Height">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezGreenLook" image="MenuBottom" dimension="Height" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </FontDim>
+                    <OperatorDim op="Add">
+                        <FontDim type="LineSpacing" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/MenuTop" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/MenuBottom" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
